Package Details: minecraft 2.1.16102-2

Git Clone URL: https://aur.archlinux.org/minecraft.git (read-only, click to copy)
Package Base: minecraft
Description: Minecraft Launcher
Upstream URL: https://www.minecraft.net/
Keywords: game minecraft
Licenses: custom
Conflicts: minecraft-launcher, minecraft-launcher-beta
Provides: minecraft-launcher, minecraft-launcher-beta
Submitter: BombStrike
Maintainer: yurikoles (petr)
Last Packager: yurikoles
Votes: 653
Popularity: 3.25
First Submitted: 2010-08-05 16:24
Last Updated: 2020-07-28 07:20

Dependencies (11)

Required by (12)

Sources (1)

Pinned Comments

yurikoles commented on 2020-04-04 16:52

PRs are welcome here: https://github.com/yurikoles-aur/minecraft

Unfortunately the deb file is being updated in place and I can't find a link to versioned deb file, so bad checksum means that package was updated. In case you want to solve checksum error yourself just run updpkgsums from community/pacman-contrib.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

yurikoles commented on 2020-06-30 19:00

@kashall

Package is out of date, Mojang has released a new version on their website but this package uses the static version of the old launcher. We actually use an unversioned link to the latest available deb package. I did a clean build and I didn't saw any checksum errors and version of the launcher is the same.

yurikoles commented on 2020-05-27 19:53

@milk package is just updated

KatStuffs commented on 2020-05-27 12:58

Getting a sha256sum error with 2.1.14930-1 as well

TheGoliath commented on 2020-05-27 12:37

An update of the shasums is needed :/

==> Retrieving sources...
  -> Downloading minecraft-2.1.14930.deb...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 55.3M  100 55.3M    0     0  92.1M      0 --:--:-- --:--:-- --:--:-- 92.3M
==> Validating source files with sha256sums...
    minecraft-2.1.14930.deb ... FAILED

kokolem commented on 2020-04-18 12:25

Also can't pass the sha256sums validity check.

phunni commented on 2020-04-17 13:51

Also getting sha256sum validation failure.

drsh4dow commented on 2020-04-17 04:10

hi, files are not passing sha256sum validation

==> Validating source files with sha256sums...
    Minecraft.deb ... FAILED
==> ERROR: One or more files did not pass the validity check!
Error downloading sources: minecraft

yurikoles commented on 2020-04-04 16:52

PRs are welcome here: https://github.com/yurikoles-aur/minecraft

Unfortunately the deb file is being updated in place and I can't find a link to versioned deb file, so bad checksum means that package was updated. In case you want to solve checksum error yourself just run updpkgsums from community/pacman-contrib.

Bramken commented on 2020-03-28 11:45

For anyone who want to use this launcher, it work great up to the 1.14.3. But if you try to play in 1.14.4 or higher than that it wont work.

Feakster commented on 2020-02-16 12:51

I just tried running this on Manjaro ARM using openjdk-13, but the following error was generated:

[12:50:42 INFO]: Getting syncinfo for selected version
[12:50:42 INFO]: Queueing library & version downloads
[12:50:42 FATAL]: Unhandled exception in thread Thread[pool-2-thread-2,5,main]
com.google.gson.JsonSyntaxException: duplicate key: null
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:191) ~[Minecraft.jar:?]
    at com.google.gson.internal.bind.MapTypeAdapterFactory$Adapter.read(MapTypeAdapterFactory.java:146) ~[Minecraft.jar:?]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$1.read(ReflectiveTypeAdapterFactory.java:93) ~[Minecraft.jar:?]
    at com.google.gson.internal.bind.ReflectiveTypeAdapterFactory$Adapter.read(ReflectiveTypeAdapterFactory.java:172) ~[Minecraft.jar:?]
    at com.google.gson.Gson.fromJson(Gson.java:795) ~[Minecraft.jar:?]
    at com.google.gson.Gson.fromJson(Gson.java:761) ~[Minecraft.jar:?]
    at com.google.gson.Gson.fromJson(Gson.java:710) ~[Minecraft.jar:?]
    at com.google.gson.Gson.fromJson(Gson.java:682) ~[Minecraft.jar:?]
    at net.minecraft.launcher.updater.RemoteVersionList.getCompleteVersion(RemoteVersionList.java:32) ~[launcher.jar:1.6.89-j]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:213) ~[launcher.jar:1.6.89-j]
    at net.minecraft.launcher.updater.MinecraftVersionManager.getLatestCompleteVersion(MinecraftVersionManager.java:37) ~[launcher.jar:1.6.89-j]
    at com.mojang.launcher.game.runner.AbstractGameRunner.playGame(AbstractGameRunner.java:67) ~[launcher.jar:1.6.89-j]
    at net.minecraft.launcher.game.GameLaunchDispatcher$1.run(GameLaunchDispatcher.java:111) ~[launcher.jar:1.6.89-j]
    at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128) ~[?:?]
    at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) ~[?:?]
    at java.base/java.lang.Thread.run(Thread.java:830) [?:?]